Subject: A simple patch

From: Wilfred Hughes <[email-masked]>
Date: Tue, 30 Aug 2011 17:42:42 +0100

Fixing this should be just a matter of changing line 890 of vc-git.el:

(grep-expand-template "git grep -n -e <R> -- <F>" regexp files))

To:

(grep-expand-template "git grep --no-color -n -e <R> -- <F>" regexp files))

Generally --no-color is used, so I can't see any similar issues elsewhere.